Go to documentation repository
Documentation for Axxon Next 4.4.6. Documentation for other versions of Axxon Next is available too.
Previous page Next page
Camera statistics
GET http://IP-Address:port/prefix/statistics/{VIDEOSOURCEID} - statistics for the certain camera.
{VIDEOSOURCEID} - three-component source endpoint ID (see Get list of video sources (cameras)). For instance, "SERVER1/DeviceIpint.3/SourceEndpoint.video:0:0".
Statistics for the several cameras: POST http://IP-Address:port/prefix/statistics/ + request body in the following format:
[
"hosts/SERVER1/DeviceIpint.1/SourceEndpoint.video:0:0",
"hosts/SERVER1/DeviceIpint.2/SourceEndpoint.video:0:0"
]
| Parameter | Required | Description |
|---|---|---|
| waterlevel | No | waterlevel=1 - the response will contain the current water level value, if the water level detection is created for the camera (see Configuring water level detection). |
Request example:
GET http://127.0.0.1:80/statistics/Server1/DeviceIpint.1/SourceEndpoint.video:0:0
Response example:
{
"bitrate": 592831,
"fps": 2.278942490e+01,
"width": 1280,
"height": 720,
"mediaType": 2,
"streamType": 877088845
}
Statistics for Server
GET http://IP-Address:port/prefix/statistics/webserver
Request example:
GET http://127.0.0.1:80/statistics/webserver
Response example:
{
"now": "20200601T115707.888290",
"requests": 3,
"requestsPerSecond": 0,
"bytesOut": 134,
"bytesOutPerSecond": 0,
"streams": 0,
"uptime": 349290
}
RTSP stream information
http://IP-Address:port/prefix/rtsp/stat